Name:           python-imagesize
Version:        1.3.0
Release:        1
Summary:        This module analyzes image headers and returns image size.
License:        MIT
URL:            https://github.com/shibukawa/imagesize_py
Source0:        https://files.pythonhosted.org/packages/source/i/imagesize/imagesize-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel python3-pytest

%description
This module analyzes JPEG/JPEG 2000/PNG/GIF/TIFF image headers and returns image size.

%package -n     python3-imagesize
Summary:        This module analyzes image headers and returns image size.
%{?python_provide:%python_provide python3-imagesize}

%description -n python3-imagesize
This module analyzes JPEG/JPEG 2000/PNG/GIF/TIFF image headers and returns image size.

%prep
%autosetup -n imagesize-%{version}
rm -rf imagesize.egg-info
%build
%py3_build
%install
%py3_install
%check
py.test-3

%files -n python3-imagesize
%doc README.rst LICENSE.rst
%{python3_sitelib}/*

%changelog
* Mon Dec 27 2021 yanglongkang <yanglongkang@huawei.com> - 1.3.0-1
- update package to 1.3.0

* Thu Oct 29 2020 tianwei <tianwei@huawei.com> - 1.2.0-2
- delete python2 require

* Thu Jul 23 2020 dingyue <dingyue5@huawei.com> - 1.2.0-1
- Package update
* Mon Nov 25 2019 Ling Yang <lingyang2@huawei.com> - 1.0.0-4
- Package init
